package com.cr.pages

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ListView
import com.cr.adapter.LayerAdapter
import com.cr.cruav.CrApplication
import com.cr.cruav.R
import com.cr.event.BarAction
import com.cr.event.EventFragmentBarAction
import com.cr.map.LayerManager

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/4/14 14:16
 * 描述：图层控制页面
 */
class FragmentLayerControl :CrNavigationFragment(){
    private var listView:ListView ?= null // define: 2023/4/14 视图

    /**
     * 创建视图
     * @param inflater LayoutInflater
     * @param container ViewGroup?
     * @param savedInstanceState Bundle?
     * @return View?
     */
    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // todo: 2023/4/11 设置动画方向
        setAnimationDirection(AnimationDirection.RIGHT)
        self = this
        mainView = inflater.inflate(R.layout.frag_layer_control,null)
        // todo: 2023/4/14 挂载控件
        joinControls()
        // todo: 2023/4/14 设置导航栏
        setBar(R.id.nv)
        return mainView
    }

    /**
     * 重写挂载控件
     */
    override fun joinControls() {
        // todo: 2023/4/14 挂载视图控件
        listView = mainView?.findViewById(R.id.list_view)
    }

    /**
     * 初始化页面
     */
    override fun initPage() {
        var adapter = LayerAdapter(context!!,LayerManager.getInstance().getLayers()!!)
        listView?.adapter = adapter
    }

    /**
     * 重写关闭事件
     */
    override fun dismiss() {
        CrApplication.getEventBus().post(EventFragmentBarAction(self!!,BarAction.ACTION_DISMISS))
    }
}